$(document).ready(function () {

    $.prompt = function (text, delay) {
        if (delay === undefined || +delay <= 0) {
            delay = 3000;
        }
        var prompt = $('#prompt'), timer = 0;
        if (prompt.length === 0) {
            prompt = $('<div>', {'class': 'prompt', id: 'prompt'}).append($('<span>')).appendTo($('body'));
        }
        prompt.find('span').html(text);
        timer = prompt.data('timer');
        timer && clearTimeout(timer);
        prompt.show();
        prompt.data("timer",setTimeout(function(){
            prompt.detach().data("timer",0);
        }, delay));
    }


    $(".sbdetail h5 ").off("click").on("click", function () {
        var self = $(this);
        if (self.hasClass("open")) {
            self.removeClass("open");
        } else {
            self.addClass("open");
        }
    });


    $(".sbdetail ul li ul li").off("click").on("click",function () {
        var index = Number($(this).attr('data-id'));
        $(".ui-overlay").addClass("out");
        $(".dialog-body").eq(index).addClass("out");
    })

    $(".ui-overlay").off("click").on("click",function () {
        $(".ui-overlay").removeClass("out");
        $(".dialog-body").removeClass("out");
    })

    $(".right").off("click").on("click",function () {
        var index = Number($(this).attr('data-id'));
        console.log(index)
        if (index+1 >= $(".sbdetail ul li ul li").length){
            $.prompt('没有更多数据了');
        }else{
            $(".dialog-body").eq(index).removeClass("out");
            $(".dialog-body").eq(index+1).addClass("out");
        }
    })

    $(".left").off("click").on("click",function () {
        var index = Number($(this).attr('data-id'));
        if (index-1 < 0){
            $.prompt('没有更多数据了');
        }else{
            $(".dialog-body").eq(index).removeClass("out");
            $(".dialog-body").eq(index-1).addClass("out");
        }
    })

    $(".medicaldetail h5 ").off("click").on("click", function () {
        var self = $(this);
        if (self.hasClass("open")) {
            self.removeClass("open");
        } else {
            self.addClass("open");
        }
    });

    $(".endowmentdetail h5 ").off("click").on("click", function () {
        var self = $(this);
        if (self.hasClass("open")) {
            self.removeClass("open");
        } else {
            self.addClass("open");
        }
    });


    $(".header label").off("click").on("click",function () {
        var self = $(this);
        if (self.hasClass("active")) {
        } else {
            $(".header label").removeClass('active');
            self.addClass("active");
            if (self.index() == 0){
                $(".sbdata").css("display","block");
                $(".medical").css("display","none");
                $(".endowment").css("display","none");
            }else if (self.index() == 1){
                $(".sbdata").css("display","none");
                $(".medical").css("display","block");
                $(".endowment").css("display","none");
            }else{
                $(".sbdata").css("display","none");
                $(".medical").css("display","none");
                $(".endowment").css("display","block");
            }
        }
    })

    $(".endowment .tab-lab").off("click").on("click",function () {
        var self = $(this);
        if (self.hasClass("active")) {
        }else{
            $(".endowment .tab-lab").removeClass("active");
            self.addClass("active");
            if (self.index() == 0){
                $(".end").css("display","block");
                $(".endpay").css("display","none");
            }else if (self.index() == 1){
                $(".end").css("display","none");
                $(".endpay").css("display","block");
            }
        }
    })

    $(".medical .tab-lab").off("click").on("click",function () {
        var self = $(this);
        if (self.hasClass("active")) {
        }else{
            $(".medical .tab-lab").removeClass("active");
            self.addClass("active");
            if (self.index() == 0){
                $(".med").css("display","block");
                $(".medshop").css("display","none");
            }else if (self.index() == 1){
                $(".med").css("display","none");
                $(".medshop").css("display","block");
            }
        }
    })




})